# The elementtree.SgmlopXMLTreeBuilder Module

Tools to build element trees from XML, based on the SGMLOP parser.

The current version does not support XML namespaces.

This tree builder requires the sgmlop extension module (available from http://effbot.org/downloads).

## Module Contents

TreeBuilder(html=0) (class) [#]

  ElementTree builder for XML source data, based on the SGMLOP parser.

  For more information about this class, see The TreeBuilder Class.

## The TreeBuilder Class

TreeBuilder(html=0) (class) [#]

  ElementTree builder for XML source data, based on the SGMLOP parser.

close() ⇒ Element [#]

  Finishes feeding data to the parser.

  Returns:
    An element structure.
feed(data) [#]

  Feeds data to the parser.

  data
    Encoded data.